const mostrarModalNuevoPeriodo = () => {
	ajaxModal.get("cierreasistenciamensual/mantenimientoPeriodoCierre/registroperiodocierre.jspf").then((response) => {
		swalWithBootstrapButtons({
			title: '<strong>Registrar Periodo</strong>',
			html: response.data,
			showCancelButton: true,
			showCloseButton: true,
			focusConfirm: false,
			confirmButtonText: '<i class="icon-checkmark2"></i> Registrar',
			cancelButtonText: '<i class="icon-cross3"></i>Cancelar',
			width: '30%',
			customClass: 'swal2-overflow',
			onOpen: () => {
				inicializarInputsModalNuevoPeriodo();
			}
		}).then((result) => {
			if (result.value) {
				registrarNuevoPeriodo();
			}
		})

	})
}

const inicializarInputsModalNuevoPeriodo = () => {
	listarTipoPersonal("#cboTipoPersonal")
	listarMesesCierre("#cboMesesCierre")
	initDatePicker("#dpFechaInicio", "#dpFechaFin")
	$("#dpFechaInicio").val("")
	$("#dpFechaFin").val("")
}

const registrarNuevoPeriodo = () => {
	let tipopersonal_id = $("#cboTipoPersonal").val()
	let tipopersonal_descripcion = $("#cboTipoPersonal option:selected").text()
	let mescierre_id = $("#cboMesesCierre").val()
	let mescierre_descripcion = $("#cboMesesCierre option:selected").text()

	let fecha_inicio = $("#dpFechaInicio").val()
	let fecha_fin = $("#dpFechaFin").val()
	let estado = 1

	let params = {
		tipopersonal_id,
		tipopersonal_descripcion,
		mescierre_id,
		mescierre_descripcion,
		fecha_inicio,
		fecha_fin,
		estado
	}

	ajaxWebService.post(URI_PERIODOCIERRE, params).then((response) => {
		if (response.status) {
			swal({
				type: 'success',
				title: `¡Periodo de cierre «${mescierre_descripcion}» registrado!`,
				showConfirmButton: false,
				timer: 1500
			})
		}
	})


}


const listarTipoPersonal = (nodeIdentifier) => {
	ajaxWebService.get(URI_TIPOPERSONAL).then((response) => {
		console.log(response)
		if (response.status) {
			let data = response.data
			let html = ""
			html += data.map(tipoPersonal => `<option value="${tipoPersonal.id}">${tipoPersonal.descripcion}</option>`)
			$(nodeIdentifier).html(html)
		}
	})
}

const listarMesesCierre = (nodeIdentifier) => {
	ajaxWebService.get(URI_MESESCIERRE).then((response) => {
		if (response.status) {
			let data = response.data
			let html = ""
			html += data.map(mesCierre => `<option value="${mesCierre.id}">${mesCierre.descripcion}</option>`)
			$(nodeIdentifier).html(html)
		}
	})
}

$(document).ready(function () {
	$("#btnNuevoPeriodo").click(mostrarModalNuevoPeriodo);
})